## deepin-systemassistant-knowledge 0.0.2

=== Makefile ===
KNOWLEDGEBASE =${DESTDIR}/usr/share/deepin-systemassistant-knowledge/

build:
	echo "build none"

install:
	mkdir -p ${KNOWLEDGEBASE}
	cp -r deepin-knowledge ${KNOWLEDGEBASE}
clean:
	rm -rf ${KNOWLEDGEBASE}

=== debian/changelog ===
deepin-systemassistant-knowledge (0.0.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 03 Jun 2024 22:27:44 +0800

deepin-systemassistant-knowledge (0.0.1) unstable; urgency=medium

  * Initial deepin system assistant knowleadge base

 -- He Xiaodong <hexiaodong@uniontech.com>  Mon, 13 May 2024 10:24:02 +0800

=== debian/control ===
Source: deepin-systemassistant-knowledge
Section: misc
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Standards-Version: 3.9.8
Homepage: http://www.deepin.org
Build-Depends: debhelper (>= 9)

Package: deepin-systemassistant-knowledge
Architecture: any
Depends: ${misc:Depends}
Description: deepin-systemassistant-knowledge
 This package contains the knowledge data for system assistant.

## deepin-systemassistant-knowledge 0.0.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(deepin-systemassistant-knowledge)

set(CMAKE_INSTALL_PREFIX /usr/share/deepin-systemassistant-knowledge)

if (NOT DEFINED BUILD_OS_TYPE OR BUILD_OS_TYPE STREQUAL "")
    set(BUILD_OS_TYPE "")
else()
    message("catch BUILD_OS_TYPE ${BUILD_OS_TYPE}")
endif()

if (${BUILD_OS_TYPE} MATCHES "COMMUNITY")
    install(FILES deepin-knowledge/SystemAssistant.db deepin-knowledge/SystemAssistant.faiss
        DESTINATION ${CMAKE_INSTALL_PREFIX}/deepin-knowledge)
else()
    install(FILES uos-knowledge/SystemAssistant.db uos-knowledge/SystemAssistant.faiss
        DESTINATION ${CMAKE_INSTALL_PREFIX}/deepin-knowledge)

    file(GLOB knowledge_files "uos-knowledge/source/*.docx")
    install(FILES ${knowledge_files} DESTINATION ${CMAKE_INSTALL_PREFIX}/deepin-knowledge/source)
endif()

=== debian/changelog ===
deepin-systemassistant-knowledge (0.0.18-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 23 Sep 2025 11:01:18 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), cmake
 
 Package: deepin-systemassistant-knowledge
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OS_TYPE=$(BUILD_OS_TYPE)

%:
	dh $@
